# eric5.Plugins.VcsPlugins.vcsSubversion.SvnOptionsDialog

Module implementing a dialog to enter options used to start a project in the VCS.

### Global Attributes

None

### Classes

SvnOptionsDialog | Class implementing a dialog to enter options used to start a project in the repository.

### Functions

None

## SvnOptionsDialog

Class implementing a dialog to enter options used to start a project in the repository.

### Derived from

QDialog, Ui_SvnOptionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
on_protocolCombo_activated | Private slot to switch the status of the directory selection button.
on_vcsUrlButton_clicked | Private slot to display a selection dialog.
on_vcsUrlEdit_textChanged | Private slot to handle changes of the URL.

### Static Methods

None

#### SvnOptionsDialog (Constructor)

SvnOptionsDialog(vcs, project, parent=None)

Constructor

vcs
  reference to the version control object
project
  reference to the project object
parent
  parent widget (QWidget)

#### SvnOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a dictionary containing the data entered

#### SvnOptionsDialog.on_protocolCombo_activated

on_protocolCombo_activated(protocol)

Private slot to switch the status of the directory selection button.

#### SvnOptionsDialog.on_vcsUrlButton_clicked

on_vcsUrlButton_clicked()

Private slot to display a selection dialog.

#### SvnOptionsDialog.on_vcsUrlEdit_textChanged

on_vcsUrlEdit_textChanged(txt)

Private slot to handle changes of the URL.

txt
  current text of the line edit (string)

Up